import { Locator } from "playwright-core";
import { Atom } from "../../atom";
export declare class OverlayAtom extends Atom {
    get cdkContainerPane(): Locator;
    get cdkContainerBox(): Locator;
    get cdkContainer(): Locator;
    static CSS_CLASS: string;
    static CDK_CONTAINER: string;
    static CDK_CONTAINER_BOX: string;
    static CDK_CONTAINER_PANE: string;
    isOpened(): Promise<boolean>;
    toBeOpened(): Promise<void>;
    toNotBeOpened(): Promise<boolean>;
}
